---
title: Remainder (%)
slug: Web/JavaScript/Reference/Operators/Remainder
tags:
  - JavaScript
  - Language feature
  - Operator
  - Reference
---
<div>{{jsSidebar("Operators")}}</div>

<p>The remainder operator (<code>%</code>) returns the remainder left over when one operand is divided by a second operand. It always takes the sign of the dividend.</p>

<div>{{EmbedInteractiveExample("pages/js/expressions-remainder.html")}}</div>

<p>Note that while in most languages, ‘%’ is a remainder operator, in some (e.g. <a href="https://en.wikipedia.org/wiki/Modulo_operation#In_programming_languages">Python, Perl</a>) it is a modulo operator. For positive values, the two are equivalent, but when the dividend and divisor are of different signs, they give different results. To obtain a modulo in JavaScript, in place of <code>a % n</code>, use <code>((a % n ) + n ) % n</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><strong>Operator:</strong> <var>var1</var> % <var>var2</var>
</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Remainder_with_positive_dividend">Remainder with positive dividend</h3>

<pre class="brush: js notranslate"> 12 % 5  //  2
 1 % -2 //  1
 1 % 2  //  1
 2 % 3  //  2
5.5 % 2 // 1.5
</pre>

<h3 id="Remainder_with_negative_dividend">Remainder with negative dividend</h3>

<pre class="brush: js notranslate">-12 % 5 // -2
-1 % 2  // -1
-4 % 2  // -0</pre>

<h3 id="Remainder_with_NaN">Remainder with NaN</h3>

<pre class="brush: js notranslate">NaN % 2 // NaN</pre>

<h3 id="Remainder_with_Infinity">Remainder with Infinity</h3>

<pre class="brush: js notranslate">Infinity % 2 // NaN
Infinity % 0 // NaN
Infinity % Infinity // NaN
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
  </tr>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-multiplicative-operators', 'Remainder operator')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.operators.remainder")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Addition">Addition operator</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Subtraction">Subtraction operator</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Division">Division operator</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Multiplication">Multiplication operator</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Exponentiation">Exponentiation operator</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Increment">Increment operator</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Decrement">Decrement operator</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Unary_negation">Unary negation operator</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Unary_plus">Unary plus operator</a></li>
</ul>
